# Uses of Interface
net.shibboleth.idp.plugin.authn.webauthn.storage.impl.WebAuthnJDBCAccelerator

Packages that use WebAuthnJDBCAccelerator
Package
Description
net.shibboleth.idp.plugin.authn.webauthn.storage.impl
This package has storage implementations for WebAuthn.

## Uses of WebAuthnJDBCAccelerator in net.shibboleth.idp.plugin.authn.webauthn.storage.impl

Subinterfaces of WebAuthnJDBCAccelerator in net.shibboleth.idp.plugin.authn.webauthn.storage.impl
Modifier and Type
Interface
Description
`interface`
`WebAuthnJDBCQueryAccelerator`
An accelerator for JDBC queries to improve the performance of lookup operations that search for non-indexed fields, namely; userHandle and credentialId.
`interface`
`WebAuthnJDBCReadAllAccelerator`
An accelerator for JDBC queries to improve the performance of lookup operations that read all records at once.
Classes in net.shibboleth.idp.plugin.authn.webauthn.storage.impl that implement WebAuthnJDBCAccelerator
Modifier and Type
Class
Description
`final class`
`WebAuthnJDBCAcceleratorImpl`
Implementation of a `WebAuthnJDBCQueryAccelerator` and `WebAuthnJDBCReadAllAccelerator` that uses specialized queries to lookup credentials by userHandle and credentialId.
Fields in net.shibboleth.idp.plugin.authn.webauthn.storage.impl declared as WebAuthnJDBCAccelerator
Modifier and Type
Field
Description
`private WebAuthnJDBCAccelerator`
StorageServiceCredentialRepositoryFactory.`jdbcAccelerator`
A JDBC based storage service accelerator which improves the performance of specific WebAuthn queries.
Methods in net.shibboleth.idp.plugin.authn.webauthn.storage.impl that return WebAuthnJDBCAccelerator
Modifier and Type
Method
Description
`private WebAuthnJDBCAccelerator`
StorageServiceCredentialRepositoryFactory.`getJdbcAccelerator()`
Get the JDBC accelerator to use, if enabled.